
function [  ] = makefigs3(  )

global data1 data2 data3 data4

data1 = importdata('figqnm1.txt') ;

data2 = importdata('figqnm2.txt') ;

data3 = importdata('figqnm3.txt') ;

data4 = importdata('figqnm4.txt') ;

data5 = importdata('figqnm5.txt') ;

data6 = importdata('figqnm6.txt') ;



framewidth = [ 0.15 0.98 ] ;

bottomgap = 0.11 ;
height = 0.265 ;
spacing = 0.02 ;

extragap = 0.02 ;

frame1 = bottomgap + 2*(height+spacing) + extragap + [ 0 height ] ;
frame2 = bottomgap + (height+spacing) + [ 0 height ] ;
frame3 = bottomgap + [ 0 height ] ;


width = 0.265 ;
spacing2 = 0.02 ;

frame3w = framewidth(1) + 2*(width+spacing2) + [ 0 width ] ;
frame2w = framewidth(1) + (width+spacing2) + [ 0 width ] ;
frame1w = framewidth(1) + [ 0 width ] ;


fntsize = 28 ;




scrsz = get(0,'ScreenSize');
figure('Name','qnm_matlab','Position',[1 scrsz(4)/3 scrsz(3)/3 2*scrsz(4)/3])






axes('Position',[ frame1w(1) frame1(1) (frame1w(2)-frame1w(1)) (frame1(2)-frame1(1)) ]) ;


scatter([ 0 0 -0.63 0.63 ],[ 0 -0.48 -0.28 -0.28 ],50,[ 0 0 0 ],'filled') ;

 
set(gca,'FontSize',fntsize,'FontName','Helvetica') ;



axis([ -1.1 1.1 -1.4 0.1 ]) ;

set(gca,'XGrid','on') ;

set(gca,'YGrid','on') ;

set(gca,'XAxisLocation','top') ;


text(0.3,-0.0,'\omega/\mu','FontSize',fntsize,'FontName','Helvetica')

 line([ 0.2 1. ],[ -0.2 -0.2 ],'LineStyle','-','Color','k') ;
 
  line([ 0.2 0.2 ],[ -0.2 0.05 ],'LineStyle','-','Color','k') ;
  

%text(-0.7,-0.9,'T/T_c=0.70','FontSize',fntsize,'FontName','Helvetica')




text(-0.95,-0.9,'{\it a)}','FontSize',fntsize,'FontName','Helvetica')





axes('Position',[ frame2w(1) frame1(1) (frame2w(2)-frame2w(1)) (frame1(2)-frame1(1)) ]) ;


scatter([ 0 0 -0.44 0.44 ],[ 0 -0.07 -0.54 -0.54 ],50,[ 0 0 0 ],'filled') ;

 
set(gca,'FontSize',fntsize,'FontName','Helvetica') ;



axis([ -1.1 1.1 -1.4 0.1 ]) ;


set(gca,'XGrid','on') ;

set(gca,'YGrid','on') ;



set(gca,'XTickLabel',{''})

set(gca,'YTickLabel',{''})




%text(0.4,-0.1,'\Omega/\mu','FontSize',fntsize,'FontName','Helvetica')


%text(-0.7,-0.9,'T/T_c=0.94','FontSize',fntsize,'FontName','Helvetica')



text(-0.95,-0.9,'{\it b)}','FontSize',fntsize,'FontName','Helvetica')






axes('Position',[ frame3w(1) frame1(1) (frame3w(2)-frame3w(1)) (frame1(2)-frame1(1)) ]) ;


scatter([ -0.25 0.25 -0.95 0.95 ],[ -0.14 -0.14 -1.2 -1.2 ],50,[ 0 0 0 ],'filled') ;

 
set(gca,'FontSize',fntsize,'FontName','Helvetica') ;


axis([ -1.1 1.1 -1.4 0.1 ]) ;

set(gca,'XGrid','on') ;

set(gca,'YGrid','on') ;


set(gca,'XTickLabel',{''})
set(gca,'YTickLabel',{''})



%text(0.4,-0.1,'\Omega/\mu','FontSize',fntsize,'FontName','Helvetica')



%text(-0.7,-0.9,'T/T_c=1.6','FontSize',fntsize,'FontName','Helvetica')



text(-0.95,-0.9,'{\it c)}','FontSize',fntsize,'FontName','Helvetica')






axes('Position',[ framewidth(1) frame2(1) (framewidth(2)-framewidth(1)) (frame2(2)-frame2(1)) ]) ;


plot(data1(:,1),data1(:,2),'+k',data2(:,1),data2(:,2),'ok',data3(:,1),data3(:,2),'ok') ;


 line([0.810414 0.810414],[ 0. 1 ],'LineStyle','--','Color','k') ;

  line([1. 1.],[ 0. 1 ],'LineStyle','--','Color','k') ;


axis([ 0.3 1.65 0 0.4 ])


 ylabel('-Im\omega/\mu','FontSize',fntsize,'FontName','Helvetica') ;




set(gca,'XTickLabel',{''})

set(gca,'FontSize',fntsize,'FontName','Helvetica') ;




text(0.3,0.05,'{\it d)}','FontSize',fntsize,'FontName','Helvetica')




axes('Position',[ framewidth(1) frame3(1) (framewidth(2)-framewidth(1)) (frame3(2)-frame3(1)) ]) ;



plot(data4(:,1),data4(:,2),'+k',data5(:,1),data5(:,2),'ok',data6(:,1),data6(:,2),'ok') ;


 line([0.810414 0.810414],[ 0. 1 ],'LineStyle','--','Color','k') ;

  line([1. 1.],[ 0. 1 ],'LineStyle','--','Color','k') ;


axis([ 0.3 1.65 0 0.8 ])


 ylabel('Re\omega/\mu','FontSize',fntsize,'FontName','Helvetica') ;



xlabel('T/T_c','FontSize',fntsize,'FontName','Helvetica') ; 



set(gca,'FontSize',fntsize,'FontName','Helvetica') ;





text(0.6,0.3,'I','FontSize',fntsize,'FontName','Helvetica')

text(0.9,0.3,'II','FontSize',fntsize,'FontName','Helvetica')

text(1.2,0.3,'III','FontSize',fntsize,'FontName','Helvetica')




text(0.3,0.08,'{\it e)}','FontSize',fntsize,'FontName','Helvetica')




annotation('arrow',[ 0.4  0.4 ],[ 0.7 0.66 ],'LineStyle','-')
annotation('arrow',[ 0.55  0.55 ],[ 0.7 0.66 ],'LineStyle','-')
annotation('arrow',[ 0.95  0.95 ],[ 0.7 0.66 ],'LineStyle','-')



%annotation('arrow',[ 0.95  0.95 ],[ 0.6 0.4 ],'LineStyle','-.')
%annotation('line',[ 0.5*(frame3w(1)+frame3w(2))  0.95 ],[ 0.69 0.6 ],'LineStyle','-.')



%annotation('arrow',[ 0.55  0.55 ],[ 0.6 0.4 ],'LineStyle','-.')
%annotation('line',[ 0.5*(frame2w(1)+frame2w(2))  0.55 ],[ 0.69 0.6 ],'LineStyle','-.')


%annotation('arrow',[ 0.4  0.4 ],[ 0.6 0.4 ],'LineStyle','-.')
%annotation('line',[ 0.5*(frame1w(1)+frame1w(2))  0.4 ],[ 0.67 0.6 ],'LineStyle','-.')




end

